#
# spec file for package libfm
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libfm
Summary:        A glib/gio-based lib used to develop file managers
Version:        0.1.16_rc3
Release:        0.3.1
License:        GPLv2
Group:          Development/Libraries/C and C++
Url:            http://www.lxde.org/
Source0:        %name-0.1.16.tar.bz2
Source1:        %name-rpmlintrc
Patch0:         %name-default-config.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
BuildRequires:  gtk2-devel
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  menu-cache-devel >= 0.3.2
BuildRequires:  desktop-file-utils
BuildRequires:  update-desktop-files
BuildRequires:  fdupes
BuildRequires:  autoconf
PreReq:         desktop-file-utils
PreReq:         shared-mime-info

%description
A glib/gio-based lib used to develop file managers providing some
file management utilities and related-widgets missing in gtk+/glib.

%package -n libfm1
License:        GPLv2
Group:          System/Libraries
Summary:        Libfm libraries

%description  -n libfm1
libfm libraries for development

%package -n libfm-gtk1
License:        GPLv2
Group:          System/Libraries
Summary:        GTK libfm libraries

%description  -n libfm-gtk1
GTK libfm libraries for development

%package devel
License:        GPLv2
Group:          Development/Libraries/C and C++
Summary:        Devel files for libfm
Requires:       libfm1 = %version
Requires:       libfm-gtk1 = %version
Requires:       %name = %version
Requires:       gtk2-devel
Requires:       glib2-devel
Requires:       pkg-config

%description devel
A glib/gio-based lib used to develop file managers providing some
file management utilities and related-widgets missing in gtk+/glib.

%package doc
License:        GPLv2
Group:          Documentation/Other
Summary:        GTK libfm libraries
Requires:       %name >= %version

%description doc
libfm developers documentation

%prep
%setup -q -n %name-0.1.16
%patch0 -p1

%build
autoreconf -fi
%configure \
	--disable-static \
	--enable-debug \
	--enable-gtk-doc

# remove rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool 

%__make

%install
%makeinstall
%__rm -f %{buildroot}%{_libdir}/*.la
%__rm -f %{buildroot}/%{_libdir}/gio/modules/libgiofm.la
# these settings will have no effect without the gio extension so remove them
%if 0%{?suse_version} >= 1140
%__rm -f %{buildroot}%{_sysconfdir}/xdg/%name/pref-apps.conf
%__rm -f %{buildroot}%{_bindir}/libfm-pref-apps
%__rm -f %{buildroot}%{_datadir}/applications/libfm-pref-apps.desktop
%else
%suse_update_desktop_file libfm-pref-apps
%endif
%find_lang %{name}
%fdupes -s %{buildroot}/%{_datadir}/locale

%post
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
/usr/bin/update-desktop-database                                

%postun
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
/usr/bin/update-desktop-database                                

%post -n libfm-gtk1 -p /sbin/ldconfig

%postun -n libfm-gtk1 -p /sbin/ldconfig

%post -n libfm1 -p /sbin/ldconfig

%postun -n libfm1 -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%dir %{_sysconfdir}/xdg/%name
%config %{_sysconfdir}/xdg/%name/%name.conf
%{_datadir}/mime/packages/%name.xml
%if 0%{?suse_version} < 1140
%config %{_sysconfdir}/xdg/%name/pref-apps.conf
%{_bindir}/libfm-pref-apps
%{_datadir}/applications/libfm-pref-apps.desktop
%endif

%files -n libfm1
%defattr(-,root,root)
%{_libdir}/libfm.so.*
%if 0%{?suse_version} < 1140
%{_libdir}/gio/modules/libgiofm.so
%endif

%files -n libfm-gtk1
%defattr(-,root,root)
%{_libdir}/libfm-gtk.so.*
%dir %{_datadir}/%name
%dir %{_datadir}/%name/ui
%_datadir/%name/archivers.list
%{_datadir}/%name/ui/*.ui

%files devel
%defattr(-,root,root)
%dir %{_includedir}/%name
%dir %{_includedir}/%name/%name
%{_includedir}/%name/%name/*.h
%{_libdir}/pkgconfig/%name.pc
%{_libdir}/pkgconfig/%name-gtk.pc
%{_libdir}/libfm-gtk.so
%{_libdir}/libfm.so

%files doc
%defattr(-,root,root)
%_datadir/gtk-doc/html/libfm

%changelog
* Wed Aug 10 2011 andrea@opensuse.org
- new upstream version 0.1.16 rc3
  detailed changelog at: http://blog.lxde.org/?p=908
- removed all patches now in upstream code
* Sun Aug  7 2011 andrea@opensuse.org
- added libfm-0.1.14-fix_bnc710881.patch to fix bnc 710881 bug
  that causes data loss if catting and paste a folder into a place
  without writing permission
* Tue Jun 21 2011 coolo@novell.com
- add prerequires for the rpm scripts
* Sat Jan 22 2011 gber@opensuse.org
- added libfm-0.1.14-disable-gio-extension.patch in order to
  disable the GIO extension implementing libfm-specific preferences
  for URI scheme handlers for glib > 2.27 where the needed
  extension point has been removed; preferred handlers set through
  libfm/pref-apps.conf will be ignored and the new default glib
  mechanism using x-scheme-handler will be used instead
- enabled gtk-doc generation and disabled parallel make which
  breaks it
* Wed Oct 20 2010 andrea@opensuse.org
- added libfm-0.1.14-fix_sf3089624.patch to fix copy/paste of
  files with spaces in the name
* Sat Oct 16 2010 andrea@opensuse.org
- new upstream version 0.1.14 RC2
  * Allow copy to the same file and show
  * Little fix for places view
  * API Changes
  * several bug fixes
  * Fix sf3028649 - Dragging file to the same directory
    and on itself.
  * Fix #3021778 - Pasting the folder to write protected
    place ends w/ removal.
  * Fix bugs in launching of desktop entry files with Type=Link.
  * Fix sf3030482 - bug in untrash behavior
  * Improve launching of desktop entry files. sf3029251
  * Fix sf3039074 - Sort by size is wrong on files more than 2Gb
  * Fix sf3032241 - PCManFM crashes when right clicking
    on a file/dir
  * Use async dbus call in udisks support for device listing
    to shorten startup time
- removed libfm-0.1.12-fix-sf3012747.patch
- build -doc subpackage
* Mon Aug  2 2010 andrea@opensuse.org
- fixed libfm0 and libfm-gtk0 RPM Groups
* Fri Jul  2 2010 andrea@opensuse.org
- use fedora patch to fix sf3012747 because previous one
  generate SEGFAULTS that didn't exist before
* Wed Jun  9 2010 andrea@opensuse.org
- added libfm-0.1.12-fix-sf3012747.patch to fix pcmanfm crash if
  a path beginning with // is used
* Sat May 29 2010 andrea@opensuse.org
- new upstream version 0.1.12 rc1
* Fri May 21 2010 andrea@opensuse.org
- fixed default config
* Sun May 16 2010 andrea@opensuse.org
- new git release, several upstream bugfix
* Tue Apr 27 2010 andrea@opensuse.org
- New upstream version 0.1.11 beta 3
* Sun Apr 25 2010 andrea@opensuse.org
- Fix sf#2978810: rename file improvement
- Remive unused L_ADD for libfm-pref-apps
* Sun Apr 25 2010 andrea@opensuse.org
- Fixed segfaults
- translations upgrades
* Sat Apr 24 2010 andrea@opensuse.org
- Fix calling g_object_unref on invalid pointer in fm_do_mount()
* Mon Apr 19 2010 andrea@opensuse.org
- add workarounds to fix sf#2983540 (bgo#612802, bnc#593094,
  bxo#6230 )
* Mon Apr 19 2010 andrea@opensuse.org
- new upstream version 0.1.10
  - Fix sf#2988010 crash when press enter on an empty location bar
  - Fix invalid pointer access reported in #2988982 and #2988484
  - other bugfixes and API improvments
* Tue Apr 13 2010 andrea@opensuse.org
- Fix sf#2986368 - Segfault if selection more than one file.
* Tue Apr 13 2010 andrea@opensuse.org
- disabled -demo subpackage
* Sun Apr 11 2010 andrea@opensuse.org
- Fix a regression bug with displaying application
  name on the Desktop
* Sat Apr 10 2010 andrea@opensuse.org
- new git version 20100411
  - API change: fm_canonicalize_filename now can optionally
    take a cwd parameter
  - Do not add non-folders to bookmarks
  - Fix bugs in Dnd
  - API behavior change: FmDndDest underwent some rework
  - Support dropping files into volumes in side-pane
* Fri Apr  9 2010 andrea@opensuse.org
- new git version 20100410
  - Properly send notification for sort column changes.
* Tue Apr  6 2010 andrea@opensuse.org
- save space with fdupes
- removed unsupported locale
* Sun Apr  4 2010 andrea@opensuse.org
- Fix for RTL bug sf#1997026.
  Fixes broken text layout in Compact View, Icon View and
  Thumbnail View in RTL mode.
* Wed Mar 31 2010 andrea@opensuse.org
- Fix sorting bugs. Sync libfm.pot
* Tue Mar 30 2010 andrea@opensuse.org
- Fix bnc#591731 (pcmanfm forgot to add '/' after IPs)
- Fix sf#2978803 (severe file descriptor leaks in
  thumbnail generating code)
- Fix incorrect linker options for gnome-terminal wrapper
* Fri Mar 26 2010 andrea@opensuse.org
- removed rpath
* Wed Mar 24 2010 andrea@opensuse.org
- New git release, several SEGFAULT bug fixed
* Fri Mar 19 2010 andrea@opensuse.org
- fixed critical warnings
* Thu Mar 18 2010 andrea@opensuse.org
- upgrade to version 0.1.9
* Tue Mar 16 2010 andrea@opensuse.org
- added support to most comment archive managers
* Sun Mar 14 2010 andrea@opensuse.org
- added rpmlintrc to suppress false positive warnings
* Tue Mar  9 2010 andrea@opensuse.org
- bump version to 0.1.5
  * Finish the new libfm tool to set preferred applications.
  * Add fm_qdata_id to be used with g_object_set_qdata().
  * Add fm-app-chooser-combo-box.[ch] to create a drop-down
    list for apps for selection.
* Mon Mar  8 2010 andrea@opensuse.org
- new git snapshot, lots of changes into code, new files
  and binaries installed now
* Fri Mar  5 2010 andrea@opensuse.org
- fixed libfm-default-config.patch, lxterminal needs to use '-e"
  option, or it will not work as supposed
* Fri Mar  5 2010 andrea@opensuse.org
- new git snapshot, API changes
* Tue Mar  2 2010 andrea@opensuse.org
- changed file list according to PCMan instructions
* Mon Mar  1 2010 andrea@opensuse.org
- spec file clean up
- added libfm-default-config.patch to fix our needs
* Mon Mar  1 2010 andrea@opensuse.org
- new git version
* Sat Feb 27 2010 andrea@opensuse.org
- Fix access to potentially invalid pointer
- Other minor bugfix
* Sat Feb 27 2010 andrea@opensuse.org
- New API fm_file_info_get_target(), fm_file_info_is_mountable()
- enabled debug on configure to help development
* Fri Feb 26 2010 andrea@opensuse.org
- fixed compiler warning
- fixed few segfaults
- update to latest git
* Mon Feb 22 2010 andrea@opensuse.org
- translations improvments
* Sun Feb 21 2010 andrea@opensuse.org
- upgrade to released version 0.1. It should be "stable" enought
* Sun Feb 21 2010 andrea@opensuse.org
- new features and new APIs
* Sat Feb 20 2010 andrea@opensuse.org
- new git snapshot, new API
* Fri Feb 19 2010 andrea@opensuse.org
- Translations update
* Thu Feb 18 2010 prusnak@suse.cz
- spec cleanup
* Thu Feb 18 2010 andrea@opensuse.org
- new git snapshot, added thumbnail support
* Wed Feb 17 2010 andrea@opensuse.org
- new git snapshot with api changes
* Mon Feb 15 2010 andrea@opensuse.org
- new git snapshot, lots of fixing because new libmenu-cache
* Wed Feb 10 2010 andrea@opensuse.org
- new git snapshot
* Sun Jan 31 2010 andrea@opensuse.org
- new git version that fix some segfaults
* Mon Jan 18 2010 andrea@opensuse.org
- new git version
* Tue Jan 12 2010 andrea@opensuse.org
- New package
